<div class = "homePage">
    <header>
        <img src = "https://media-exp1.licdn.com/dms/image/C4D0BAQEy5V9ByIyJjw/company-logo_200_200/0/1519897701474?e=2159024400&v=beta&t=U8en6QqhXVK4_opLweuixmoZSC86NAqBUlLGs0AiNjA">
        <div class="search">
            <input type = 'text'>
            <button><span>Search</span><mat-icon>search</mat-icon></button>
        </div>
        <div class="user">
            <div class="userInfo userBox" *ngIf="auth">
                <img src = "https://cdn2.iconfinder.com/data/icons/people-icons-5/100/m-20-512.png" *ngIf = 'user'>
                <img src = "https://static.thenounproject.com/png/165978-200.png" *ngIf = '!user'>
                <span class="label">Email:</span><span>emill.memmedovv@gmail.com</span>
                <button>Log out</button>
            </div>
            <div class="notUser userBox" *ngIf="!auth">
                <img src = "https://upload.wikimedia.org/wikipedia/commons/thumb/1/12/User_icon_2.svg/768px-User_icon_2.svg.png">
                <button routerLink = "/sign">sign in</button>
                <a href="/sign">You dont have accaount?</a>
            </div>
        </div>
    </header>
    <div class="body">
        <div class="categories">
            <div class="category" *ngFor="let category of categories; let i = index" (click)="getVacations(category['id'])">
                <h4>{{category['title']}}</h4>
            </div>
        </div>
        <div class="jobs">
            <div class=" vacantion" *ngFor="let vacation of vacations;let i = index">
                <div class="job">
                    <div class="content">
                        <h3>{{vacation['title']}}</h3>
                        <p>salary: <span>{{vacation['salary']}}</span></p>
                    </div>
                    <div class="infoJob">
                        <p>{{vacation['info']}}</p>
                        <p>salary: <span>{{vacation['salary']}}</span></p>
                        <p>experience: <span>{{vacation['experience']?'required':'none required'}}</span></p>
                        <p *ngIf="vacation['min_age'] !== null">min age: <span>{{vacation['min_age']}}</span></p>
                        <p *ngIf="vacation['max_age'] !== null">max age: <span>{{vacation['max_age']}}</span></p>
                        <p>Phone Number: <span>{{vacation['phoneNumber']}}</span></p>
                    </div>
                </div>
                <p class="comments" (click) = "ShowComments(vacation['id'],i)">Comments({{vacation['comments_count']}})</p>
                <div class="commentsContent" *ngIf="openComment[i]">
                    <div class="comment" *ngFor="let comment of comments">
                        <p class="commentEmail">{{comment['client_email']}}</p>
                        <p class="commentBody">
                            {{comment['body']}}
                        </p>
                        <p class="commentTime">
                            {{comment['time']}}
                        </p>
                    </div>
                    <div class="addComment">
                        <form [formGroup] = "CommentForm" (ngSubmit) = "sendComment(vacation['id'])">
                            <textarea rows = '5' cols = '10' formControlName = 'comment'></textarea>
                            <button mat-button color="primary" type = "submit">Send</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>